{{ if not .Values.global.immutable }}

{{- $_ := set .Values.deploymentConfig "app" .Values.name }}
{{- $_ = set .Values.deploymentConfig "tpl" .Values.global.app }}
{{- $host := printf "%s.web.cern.ch" .Values.global.namespace }}

{{ include "library.deploymentConfigTpl" .Values.deploymentConfig }}
  template:
    {{ include "library.metadata" .Values.deploymentConfig | indent 4}}
      annotations:
        checksum/secrets: {{ include (print $.Template.BasePath "/secrets.yaml") . | sha256sum }}
    spec:
      containers:
      - name: {{ .Values.name }}
        image: rabbitmq:3.8.2-management
        ports:
        - containerPort: 15672
        - containerPort: 5672
        env:
        - name: TZ
          value: "Europe/Zurich"
        - name: {{ .Values.global.rabbitmqSecret.key }}
          valueFrom:
            secretKeyRef:
              name: {{ .Values.global.rabbitmqSecret.name }}
              key: {{ .Values.global.rabbitmqSecret.key }}
        resources:
          limits:
            memory: 1500Mi
          requests:
            memory: 500Mi
        readinessProbe:
          exec:
            command:
            - sh
            - -c
            - "rabbitmqctl node_health_check"
          initialDelaySeconds: 15
          timeoutSeconds: 5
        volumeMounts:
          - name: "home-dir"
            mountPath: {{ .Values.storage.homeDir }}
      volumes:
        - name: home-dir
          persistentVolumeClaim:
            claimName: {{ .Values.name }}


{{ end }}
